Page MenuHomePhabricator

D6. Flow is not automatically enabled on all non-existent talk pages when namespace is occupied (CA)
Closed, ResolvedPublic2 Story Points

Description

Flow cannot be enabled in subpage, like Talk:Java/Introduction. I know maybe it is designed to be.

Projects like Wikibooks and our site do use subpage in main namespace, because a "book" contains many contents.

I hope Flow can be enabled in supages' talk. Or if it is possible to write another plugin to do this, please give me some advice. I want to try to make such a plugin.

Thanks.


See also T95592: D5. Only take into account $wgFlowOccupyNamespaces, $wgFlowOccupyPages, and flow-create-board (allowCreation array) for non-existent pages (CA).

Related Objects

Event Timeline

guoyunhebrave renamed this task from Cannot Enable to Cannot enable Flow in subpages' talk.
guoyunhebrave raised the priority of this task from to Normal.
guoyunhebrave updated the task description. (Show Details)
guoyunhebrave changed Security from none to None.
guoyunhebrave added a subscriber: guoyunhebrave.
guoyunhebrave added a comment.EditedNov 28 2014, 10:18 AM

I tried to modify related code to allow Flow in subpages.

includes/TalkpageManager.php line 48 was removed:

&& !$title->isSubpage() );

Now Flow can be seen in supages' talk.

@guoyunhebrave , I suspect you used wgFlowOccupyNamespaces to enable Flow in the main Talk namespace (1 or NS_TALK). By design this doesn't make subpages Flow boards, so that someone can say "See my new page design at Talk:Java/New_design"; however when someone clicks the Discussion tab of a subpage, then it feels wrong for that talk page not to match all the other talk pages for the namespace.

Another workaround (for now) is to explicitly add the subpages you want to be Flow boards to $wgFlowOccupyPages.

The Flow team is going to change Flow so that (most likely) a site admin can enable Flow on any page. But we still have to figure out what the default should be in a namespace and whether it applies to subpages. See T76781.

Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptMay 7 2015, 11:01 PM
Mattflaschen-WMF added a comment.EditedMay 7 2015, 11:39 PM

The Flow team is going to change Flow so that (most likely) a site admin can enable Flow on any page.

This is done. Anyone with flow-create-board can create a board, including on a sub-page, using Special:EnableFlow. Other than that, the status is still pretty similar.

Mattflaschen-WMF renamed this task from Cannot enable Flow in subpages' talk to Flow is not automatically enabled on talk page when subject page is a subpage.Jun 10 2015, 2:00 AM
Mattflaschen-WMF renamed this task from Flow is not automatically enabled on talk page when subject page is a subpage to Flow is not automatically enabled on non-existent talk page when subject page is a subpage.
Qgil added a subscriber: Qgil.Jun 10 2015, 7:01 AM

I don't know how interesting this will be for this task, but https://ca.wikipedia.org/wiki/Tema:Si31dl2puhnj6pcu contains a discussion on what to do with discussions in subpages for a namespace that is going to be converted to Flow (discussion in Catalan, good luck with your preferred automatic translator).

DannyH renamed this task from Flow is not automatically enabled on non-existent talk page when subject page is a subpage to Flow is not automatically enabled on non-existent talk page when subject page is a subpage (CA).Jun 11 2015, 9:17 PM
Mattflaschen-WMF renamed this task from Flow is not automatically enabled on non-existent talk page when subject page is a subpage (CA) to Flow is not automatically enabled on non-existent talk page when subject page is a subpage and namespace is occupied (CA).Jun 16 2015, 5:58 PM

Clarification: T95592 should be fixed first, and then any non-existent page in an occupied namespace should be Flow regardless of whether it's a subpage or whether its subject page exists.

Mattflaschen-WMF renamed this task from Flow is not automatically enabled on non-existent talk page when subject page is a subpage and namespace is occupied (CA) to Flow is not automatically enabled on all non-existent talk pages when namespace is occupied (CA).Jun 16 2015, 6:07 PM
DannyH edited a custom field.Jun 16 2015, 6:08 PM
DannyH renamed this task from Flow is not automatically enabled on all non-existent talk pages when namespace is occupied (CA) to D6. Flow is not automatically enabled on all non-existent talk pages when namespace is occupied (CA).Jun 16 2015, 7:22 PM

Change 219286 had a related patch set uploaded (by Legoktm):
Only check $wgFlowOccupy settings for non-existent pages

https://gerrit.wikimedia.org/r/219286

Legoktm claimed this task.Jun 18 2015, 11:51 PM

Change 219286 merged by jenkins-bot:
Only check $wgFlowOccupy settings for non-existent pages

https://gerrit.wikimedia.org/r/219286

Checked on http://ca.wikipedia.beta.wmflabs.org/ and on http://test.wikimedia.beta.wmflabs.org/wiki/.

  • sub-pages of LQT pages get converted
  • sub-pages get converted only if a corresponding Help page exists(confirmed by Catrope).